Latest 1.1
Homepage https://github.com/levantAJ/PaddingLabel
License MIT
Platforms ios 8.0
Authors

PaddingLabel

Pod Version
Pod Platform
Pod License

A label with padding for iOS

Requirements

  • iOS 8.0 or later
  • Xcode 9.0 or later

Installation

There is a way to use PaddingLabel in your project:

  • Using CocoaPods
  • Manually

Installation with CocoaPods

pod 'PaddingLabel', '1.1'

Manually

Manually drag file PaddingLabel.swift to your project.

Build Project

At this point your workspace should build without error. If you are having problem, post to the Issue and the
community can help you solve it.

How To Use

  • Change class of UILabel in your storyboard, xib to PaddingLabel.
  • Or programmatically:
import PaddingLabel

let label = PaddingLabel(frame: CGRect(x: 0, y: 0, width: 500, height: 100))

Author

Communication

  • If you need help, use Stack Overflow.
  • If you found a bug, open an issue.
  • If you have a feature request, open an issue.
  • If you want to contribute, submit a pull request.

Licenses

All source code is licensed under the MIT License.

Latest podspec

{
    "name": "PaddingLabel",
    "version": "1.1",
    "summary": "Label with padding",
    "description": "Label with padding written on Swift 4.2 by levantAJ",
    "homepage": "https://github.com/levantAJ/PaddingLabel",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "authors": {
        "Tai Le": "[email protected]"
    },
    "source": {
        "git": "https://github.com/levantAJ/PaddingLabel.git",
        "tag": "1.1"
    },
    "platforms": {
        "ios": "8.0"
    },
    "swift_version": "4.2",
    "source_files": "PaddingLabel/PaddingLabel.swift"
}

Pin It on Pinterest

Share This